### Function

# Gegl Buffer open

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_open (
      const gchar* path
    )

#### Description [src]

Open an existing on-disk GeglBuffer, this buffer is opened in a monitored state so multiple instances of gegl can share the same buffer. Sets on one buffer are reflected in the other.

#### Parameters

`path`

  Type: `const gchar*`

  The path to a gegl buffer on disk.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglBuffer`

A GeglBuffer object.

The caller of the function takes ownership of the data, and is responsible for freeing it.